Skip to main content
GET
/
api
/
v2
/
engineering-insights
/
insights
/
scores
Get insight scores
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/engineering-insights/insights/scores \
  --header 'Authorization: <api-key>'
{
  "period": {
    "startTime": "1706701522000",
    "endTime": "1706701522000"
  },
  "lastPeriod": {
    "startTime": "1706701522000",
    "endTime": "1706701522000"
  },
  "scores": {
    "overall": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "deploymentFrequency": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "deploymentFailureRate": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "leadTime": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "impactSize": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "experimentationCoverage": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "flagHealth": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "velocity": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "risk": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "efficiency": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "creationRatio": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    }
  },
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

applicationKey
string<string>

Comma separated list of application keys

Response

Insight score response

period
object
required

The time period for the scores

lastPeriod
object
required

The time period for the scores in the last period

scores
object
required

The scores for the insight groups

The location and content type of related resources